import { JsonObjectVisitor } from "./JsonObjectVisitor";
/**
 *
 */
export declare class WriteLargePropertyParametersVisitor implements JsonObjectVisitor {
    private _enclosedJsonObject;
    constructor(value: string | object);
    copyAsJsonObject(): object;
    copyAsJsonString(): string;
    enclosedJsonObject(): any;
    visitAppend(): boolean;
}
